Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.core.v1
Class RefundPodmiSppisType

    java.lang.Object
      be.fgov.ehealth.mediprima.core.v1.RefundPodmiSppisType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:50:59+02:00",
               comments="JAXB RI v2.2.11")
    public class RefundPodmiSppisType

extends Object
implements Serializable

Refund Code defined by the POD MI / SPP IS

Java class for RefundPodmiSppisType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RefundPodmiSppisType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RefundCode" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="AffiliedMutualityInd" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="BeneficiaryStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Justification" type="{urn:be:fgov:ehealth:mediprima:core:v1}NameType" maxOccurs="unbounded" minOccurs="2"/>
             <element name="PodmiSppisPart" type="{urn:be:fgov:ehealth:mediprima:core:v1}PodmiSppisPartType"/>
             <element name="MedicalUrgencyInd" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RefundPodmiSppisType()`

Method Summary
`String` | `getBeneficiaryStatus()` Gets the value of the beneficiaryStatus property.
`List<NameType>` | `getJustifications()` Gets the value of the justifications property.
`PodmiSppisPartType` | `getPodmiSppisPart()` Gets the value of the podmiSppisPart property.
`BigInteger` | `getRefundCode()` Gets the value of the refundCode property.
`boolean` | `isAffiliedMutualityInd()` Gets the value of the affiliedMutualityInd property.
`boolean` | `isMedicalUrgencyInd()` Gets the value of the medicalUrgencyInd property.
`void` | `setAffiliedMutualityInd(boolean value)` Sets the value of the affiliedMutualityInd property.
`void` | `setBeneficiaryStatus(String value)` Sets the value of the beneficiaryStatus property.
`void` | `setMedicalUrgencyInd(boolean value)` Sets the value of the medicalUrgencyInd property.
`void` | `setPodmiSppisPart(PodmiSppisPartType value)` Sets the value of the podmiSppisPart property.
`void` | `setRefundCode(BigInteger value)` Sets the value of the refundCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefundPodmiSppisType

    public RefundPodmiSppisType()

Method Detail

### getRefundCode

    public BigInteger getRefundCode()

  Gets the value of the refundCode property.

  Returns:
    possible object is `BigInteger`

### setRefundCode

    public void setRefundCode(BigInteger value)

  Sets the value of the refundCode property.

  Parameters:
    `value` - allowed object is `BigInteger`

### isAffiliedMutualityInd

    public boolean isAffiliedMutualityInd()

  Gets the value of the affiliedMutualityInd property.

### setAffiliedMutualityInd

    public void setAffiliedMutualityInd(boolean value)

  Sets the value of the affiliedMutualityInd property.

### getBeneficiaryStatus

    public String getBeneficiaryStatus()

  Gets the value of the beneficiaryStatus property.

  Returns:
    possible object is `String`

### setBeneficiaryStatus

    public void setBeneficiaryStatus(String value)

  Sets the value of the beneficiaryStatus property.

  Parameters:
    `value` - allowed object is `String`

### getJustifications

    public List<NameType> getJustifications()

  Gets the value of the justifications property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the justifications property.

  For example, to add a new item, do as follows:

          getJustifications().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

### getPodmiSppisPart

    public PodmiSppisPartType getPodmiSppisPart()

  Gets the value of the podmiSppisPart property.

  Returns:
    possible object is `PodmiSppisPartType`

### setPodmiSppisPart

    public void setPodmiSppisPart(PodmiSppisPartType value)

  Sets the value of the podmiSppisPart property.

  Parameters:
    `value` - allowed object is `PodmiSppisPartType`

### isMedicalUrgencyInd

    public boolean isMedicalUrgencyInd()

  Gets the value of the medicalUrgencyInd property.

### setMedicalUrgencyInd

    public void setMedicalUrgencyInd(boolean value)

  Sets the value of the medicalUrgencyInd property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.